Package org.eclipse.gef.fx.jface

# Class FXPaintSelectionDialog

java.lang.Object
org.eclipse.jface.window.Window
org.eclipse.jface.dialogs.Dialog
org.eclipse.gef.fx.jface.FXPaintSelectionDialog

All Implemented Interfaces:
  `IShellProvider`

public class FXPaintSelectionDialog extends Dialog
The `FXPaintSelectionDialog` is a `Dialog` that allows to select a JavaFX `Paint`. It provides a simple color picker, a simple gradient picker, and an advanced gradient picker.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`Window.IExceptionHandler`

## Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

## Constructor Summary

Constructors
Constructor
Description
`FXPaintSelectionDialog(Shell parent, String title)`
Constructs a new `FXPaintSelectionDialog`.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configureShell(Shell newShell)`
`protected Control`
`createAdvancedGradientFillControl(Composite parent)`
Creates a `Composite` that contains the advanced gradient picker.
`protected Control`
`createColorFillControl(Composite parent)`
Creates a `Composite` that contains the simple color picker.
`protected Control`
`createDialogArea(Composite parent)`
`protected Control`
`createSimpleGradientFillControl(Composite parent)`
Creates a `Composite` that contains the simple gradient picker.
`Paint`
`getPaint()`
Returns the currently selected `Paint`.
`void`
`setPaint(Paint paint)`
Changes the currently selected `Paint` to the given value.
`protected void`
`updateImageLabel()`
Re-renders the image that visualizes the currently selected `Paint` .

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createButtonsForButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FXPaintSelectionDialog

public FXPaintSelectionDialog(Shell parent, String title)
Constructs a new `FXPaintSelectionDialog`.

Parameters:
  `parent` - The parent `Shell`.
  `title` - The title for this dialog.

## Method Details

### configureShell

protected void configureShell(Shell newShell)

Overrides:
  `configureShell` in class `Window`

### createAdvancedGradientFillControl

protected Control createAdvancedGradientFillControl(Composite parent)
Creates a `Composite` that contains the advanced gradient picker.

Parameters:
  `parent` - The parent `Composite`.
Returns:
  The `Composite` that contains the advanced gradient picker.

### createColorFillControl

protected Control createColorFillControl(Composite parent)
Creates a `Composite` that contains the simple color picker.

Parameters:
  `parent` - The parent `Composite`.
Returns:
  The `Composite` that contains the simple color picker.

### createDialogArea

protected Control createDialogArea(Composite parent)

Overrides:
  `createDialogArea` in class `Dialog`

### createSimpleGradientFillControl

protected Control createSimpleGradientFillControl(Composite parent)
Creates a `Composite` that contains the simple gradient picker.

Parameters:
  `parent` - The parent `Composite`.
Returns:
  The `Composite` that contains the simple gradient picker.

### getPaint

public Paint getPaint()
Returns the currently selected `Paint`.

Returns:
  The currently selected `Paint`.

### setPaint

public void setPaint(Paint paint)
Changes the currently selected `Paint` to the given value.

Parameters:
  `paint` - The new value for the selected `Paint`.

### updateImageLabel

protected void updateImageLabel()
Re-renders the image that visualizes the currently selected `Paint` .